Package org.opensaml.xmlsec.encryption.impl

# Class KeyReferenceUnmarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller
org.opensaml.xmlsec.encryption.impl.AbstractXMLEncryptionUnmarshaller
org.opensaml.xmlsec.encryption.impl.ReferenceTypeUnmarshaller
org.opensaml.xmlsec.encryption.impl.KeyReferenceUnmarshaller

All Implemented Interfaces:
  `Unmarshaller`

public class KeyReferenceUnmarshaller extends ReferenceTypeUnmarshaller
A thread-safe Unmarshaller for `KeyReference` objects.

## Field Summary

### Fields inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`CONFIG_PROPERTY_XML_STRICT_MODE`

## Constructor Summary

Constructors
Constructor
Description
`KeyReferenceUnmarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.xmlsec.encryption.impl.ReferenceTypeUnmarshaller

`processAttribute, processChildElement`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectUnmarshaller

`buildXMLObject, checkIDAttribute, processElementContent, processUnknownAttribute, unmarshall, unmarshallAttribute, unmarshallChildElement, unmarshallNamespaceAttribute, unmarshallSchemaInstanceAttributes, unmarshallTextContent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### KeyReferenceUnmarshaller

public KeyReferenceUnmarshaller()